# Class Leader.Proposal

java.lang.Object
org.apache.zookeeper.server.quorum.SyncedLearnerTracker
org.apache.zookeeper.server.quorum.Leader.Proposal

Direct Known Subclasses:
  `Leader.PureRequestProposal`

Enclosing class:
  `Leader`

public static class Leader.Proposal extends SyncedLearnerTracker

## Nested Class Summary

### Nested classes/interfaces inherited from class SyncedLearnerTracker

`SyncedLearnerTracker.QuorumVerifierAcksetPair`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Request`
`request`

### Fields inherited from class SyncedLearnerTracker

`qvAcksetPairs`

## Constructor Summary

Constructors
Constructor
Description
`Proposal()`
`Proposal(QuorumPacket packet)`
`Proposal(Request request, QuorumPacket packet)`

## Method Summary

Modifier and Type
Method
Description
`QuorumPacket`
`getQuorumPacket()`
`Request`
`getRequest()`
`long`
`getZxid()`
`String`
`toString()`

### Methods inherited from class SyncedLearnerTracker

`ackSetsToString, addAck, addQuorumVerifier, hasAllQuorums, hasSid`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### request

protected Request request

## Constructor Details

### Proposal

public Proposal()

### Proposal

public Proposal(QuorumPacket packet)

### Proposal

public Proposal(Request request, QuorumPacket packet)

## Method Details

### getQuorumPacket

public QuorumPacket getQuorumPacket()

### getRequest

public Request getRequest()

### getZxid

public long getZxid()

### toString

public String toString()

Overrides:
  `toString` in class `Object`